#!/usr/bin/env python 
import sys
import Gpib
import time
#import vxi11

inst = Gpib.Gpib(0, 14, 60) #Gpib.Gpib(0,3) # Instrument GPIB Address = 17
insta = Gpib.Gpib(0, 15, 60) #Gpib.Gpib(0,3) # Instrument GPIB Address = 17
#instb = Gpib.Gpib(0, 23, 60) #Gpib.Gpib(0,3) # Instrument GPIB Address = 17

#inst.write("*CLR")
#inst.write("DISP ON")
#inst.write("DISP MSG,\"                 \"")
#inst.write("TEMP?")
#print ("\rTemp?\r")
#data = inst.read()
#print data

inst.write("END ALWAYS")
inst.write("PRESET NORM")
inst.write("OFORMAT ASCII")
inst.write("ID?")
data = inst.read()
print "IDa = %s" % data
insta.write("END ALWAYS")
insta.write("PRESET NORM")
insta.write("OFORMAT ASCII")
insta.write("ID?")
data = insta.read()
print "IDb = %s" % data
'''
instb.write("END ALWAYS")
instb.write("PRESET NORM")
instb.write("OFORMAT ASCII")
instb.write("ID?")
data = instb.read()
print "IDc = %s" % data
'''

with open("/repo/3458/sn18_3458-14by_rdata.csv", 'a') as o1:
    inst.write("TEMP?")
    print ("\rTemp?\r")
    data = inst.read()
    print data
    #o1.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("TEMP? = ") + data + "\r\n"))
    inst.write("CAL? 1,1")
    data = inst.read()
    print ("\rCAL? 1,1\r")
    print data
    #o1.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("CAL? 1,1 = ") + data + "\r\n"))
    inst.write("CAL? 2,1")
    data = inst.read()
    print ("\rCAL? 2,1\r")
    print data
    #o1.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("CAL? 2,1 =") + data + "\r\n"))
    inst.write("CAL? 72")
    data = inst.read()
    print ("\rCAL? 72\r")
    print data
    #o1.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("CAL? 72 = ") + data + "\r\n"))

    inst.write("ACAL DCV")
    time.sleep(150)

    o1.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("ACAL DCV DONE\r\n")))
    inst.write("TEMP?")
    print ("\rTemp?\r")
    data = inst.read()
    print data
    o1.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("TEMP? = ") + data + " |"))
    inst.write("CAL? 1,1")
    data = inst.read()
    print ("\rCAL? 1,1\r")
    print data
    o1.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("CAL? 1,1 = ") + data  + " |"))
    inst.write("CAL? 2,1")
    data = inst.read()
    print ("\rCAL? 2,1\r")
    print data
    o1.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("CAL? 2,1 = ") + data + "|"))
    inst.write("CAL? 72")
    data = inst.read()
    print ("\rCAL? 72\r")
    print data
    o1.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("CAL? 72 = ") + data + "|\r\n"))
    
    #inst.write("BEEP")

    #o.write("date;hp3458a;data;\r\n")
o1.close()

with open("/repo/3458/sn18_3458-15by_rdata.csv", 'a') as o2:
    insta.write("TEMP?")
    print ("\rTemp?\r")
    data = insta.read()
    print data
    o2.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("TEMP? = ") + data + "\r\n"))
    insta.write("CAL? 1,1")
    data = insta.read()
    print ("\rCAL? 1,1\r")
    print data
    o2.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("CAL? 1,1 = ") + data + "\r\n"))
    insta.write("CAL? 2,1")
    data = insta.read()
    print ("\rCAL? 2,1\r")
    print data
    o2.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("CAL? 2,1 =") + data + "\r\n"))
    insta.write("CAL? 72")
    data = insta.read()
    print ("\rCAL? 72\r")
    print data
    o2.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("CAL? 72 = ") + data + "\r\n"))

    insta.write("ACAL DCV")
    time.sleep(150)

    o2.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("ACAL DCV DONE\r\n")))
    insta.write("TEMP?")
    print ("\rTemp?\r")
    data = insta.read()
    print data
    o2.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("TEMP? = ") + data + "|"))
    insta.write("CAL? 1,1")
    data = insta.read()
    print ("\rCAL? 1,1\r")
    print data
    o2.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("CAL? 1,1 = ") + data  + "|"))
    insta.write("CAL? 2,1")
    data = insta.read()
    print ("\rCAL? 2,1\r")
    print data
    o2.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("CAL? 2,1 = ") + data + "|"))
    insta.write("CAL? 72")
    data = insta.read()
    print ("\rCAL? 72\r")
    print data
    o2.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("CAL? 72 = ") + data + "|\r\n"))
    #inst.write("BEEP")
    #o.write("date;hp3458a;data;\r\n")
o2.close()
'''
with open("/repo/3458/sn18_3458-23by_rdata.csv", 'a') as o2:
    instb.write("TEMP?")
    print ("\rTemp?\r")
    data = instb.read()
    print data
    o2.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("TEMP? = ") + data + "\r\n"))
    instb.write("CAL? 1,1")
    data = instb.read()
    print ("\rCAL? 1,1\r")
    print data
    o2.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("CAL? 1,1 = ") + data + "\r\n"))
    instb.write("CAL? 2,1")
    data = instb.read()
    print ("\rCAL? 2,1\r")
    print data
    o2.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("CAL? 2,1 =") + data + "\r\n"))
    instb.write("CAL? 72")
    data = instb.read()
    print ("\rCAL? 72\r")
    print data
    o2.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("CAL? 72 = ") + data + "\r\n"))

    instb.write("ACAL DCV")
    time.sleep(150)

    o2.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("ACAL DCV DONE\r\n")))
    instb.write("TEMP?")
    print ("\rTemp?\r")
    data = instb.read()
    print data
    o2.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("TEMP? = ") + data + "|"))
    instb.write("CAL? 1,1")
    data = instb.read()
    print ("\rCAL? 1,1\r")
    print data
    o2.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("CAL? 1,1 = ") + data  + "|"))
    instb.write("CAL? 2,1")
    data = instb.read()
    print ("\rCAL? 2,1\r")
    print data
    o2.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("CAL? 2,1 = ") + data + "|"))
    instb.write("CAL? 72")
    data = instb.read()
    print ("\rCAL? 72\r")
    print data
    o2.write (time.strftime("%d/%m/%Y-%H:%M:%S;") + (("CAL? 72 = ") + data + "|\r\n"))
    #inst.write("BEEP")
    #o.write("date;hp3458a;data;\r\n")
o2.close()
'''